import { WebPlugin } from '@capacitor/core';
import type { CapacitorSqlitePlugin, SQLiteQueryOptions, SQLiteEnitytOptions, SQLiteEntityUpdateOptions } from './definitions';
export declare class SqlitePluginWeb extends WebPlugin implements CapacitorSqlitePlugin {
    updateEntity(options: SQLiteEntityUpdateOptions): Promise<{
        data: string | boolean;
    }>;
    delEntity(options: SQLiteEntityUpdateOptions): Promise<{
        data: string | boolean;
    }>;
    insertEntity(options: SQLiteEnitytOptions): Promise<{
        data: string | boolean;
    }>;
    queryForList(options: SQLiteQueryOptions): Promise<{
        data: any[];
    }>;
    queryForObject(options: SQLiteQueryOptions): Promise<{
        data: any;
    }>;
    loadDatabase(options: {
        dbPath: string;
        dbName: string;
    }): Promise<{
        data: string | boolean;
    }>;
    /**
     * 测试方法
     * @param options 参数
     * @returns 相同值
     */
    echo(options: {
        value: string;
    }): Promise<{
        value: string;
    }>;
}
